# Interface IComp

组件接口

#### Hierarchy

- IComp

#### Implemented by

- CCComp
- CCVMParentComp
- ECSComp

- Defined in assets/libs/ecs/ECS.ts:34

#####
Index

### Properties

canRecycle
ent

### Methods

reset

## Properties

### canRecycle

canRecycle: boolean

- Defined in assets/libs/ecs/ECS.ts:35

### ent

ent: ECSEntity

- Defined in assets/libs/ecs/ECS.ts:36

## Methods

### reset

- reset(): void

- #### Returns void

  - Defined in assets/libs/ecs/ECS.ts:38

Generated using TypeDoc